Bug 816813 - Can't print debugging messages when set 'debug=true' in express.conf via wrapper client
Can't print debugging messages when set 'debug=true' in express.conf via wrap...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
2.x
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: John (J5) Palmieri
libra bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-27 00:52 EDT by bzhao
Modified: 2015-05-14 21:52 EDT (History)
4 users (show)

See Also:
Fixed In Version: rhc-0.95.12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-13 19:43:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description bzhao 2012-04-27 00:52:34 EDT
Description of problem:
Terminal will not output debug messages  when i set 'debug=true' in express.conf and use rhc command to execute some operations

Version-Release number of selected component (if applicable):
rhc-0.91.10-1

How reproducible:
Always

Steps to Reproduce:
1.Set debug=true in express.conf 
2.Excute some operations, such as create an application
# rhc create app -t php-5.3  -p xx -a phptest
3.
  
Actual results:
Terminal will not output any debug message

Expected results:
It should output debug messages

Additional info:
Notes:
It won't print debugging information when using this way of rhc app create, 
It works well when i use this way of rhc-create-app
Comment 1 John (J5) Palmieri 2012-07-11 10:54:21 EDT
fixed
Comment 2 joycezhang 2012-07-12 02:37:51 EDT
It's fixed with rhc-0.95.13 after verification.

Here's the message during creating an app with debug enabled:
[root@Joycezh .openshift]# rhc app create -a test1 -t php-5.3 -p redhat
Submitting form:
rhlogin: jinzhang+6@redhat.com
debug: true
Contacting https://ec2-107-22-22-163.compute-1.amazonaws.com
Creating application: test1 in mdomain1
Contacting https://ec2-107-22-22-163.compute-1.amazonaws.com
Response from server:
DEBUG:


Exit Code: 0
api_c: ["placeholder"]
broker_c: ["namespace", "rhlogin", "ssh", "app_uuid", "debug", "alter", "cartridge", "cart_type", "action", "app_name", "api"]
API version:    1.1.3
DEBUG: 'test1' creation returned success.
Now your new domain name is being propagated worldwide (this might take a minute)...
    retry # 7 - Waiting for DNS: test1-mdomain1.dev.rhcloud.com

!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
WARNING: We were unable to lookup your hostname (test1-mdomain1.dev.rhcloud.com) 
in a reasonable amount of time.  This can happen periodically and will just
take an extra minute or two to propagate depending on where you are in the
world.  Once you are able to access your application in a browser, you can then
clone your git repository.

  Application URL: http://test1-mdomain1.dev.rhcloud.com

  Git Repository URL: ssh://a03c0777df574a4c8f0246b5ce6f04ed@test1-mdomain1.dev.rhcloud.com/~/git/test1.git/

  Git Clone command: 
    git clone ssh://a03c0777df574a4c8f0246b5ce6f04ed@test1-mdomain1.dev.rhcloud.com/~/git/test1.git/ test1

If you can't get your application 'test1' running in the browser, you can
also try destroying and recreating the application as well using:

  rhc app destroy -a test1 -l jinzhang+6@redhat.com

If this doesn't work for you, let us know in the forums or in IRC and we'll
make sure to get you up and running.

  Forums: https://openshift.redhat.com/community/forums/openshift

  IRC: #openshift (on Freenode)
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

Note You need to log in before you can comment on or make changes to this bug.